Highlighted
Posted by
Henagon

Teamviewer 13 Mac WILL NOT CONNECT

Hello

Can someone PLEASE help me!

I have two machines both running Mac OS 10.10, which only supports Teamviewer versions 10-13. With Teamviewer v13 loaded on both, when trying to connect I get no joy and a pop up window telling me I need to update to the latest version. This version would be 14, which is not compitable with my OS. So when I do try to follow the instructions, Teamviewer obviously is unable to update and crashes on loading the update.

Is it true that you can only use Teamviewer for free if you use the latest version? So if you need to use an earlier release of teamviewer you need to pay for it ? I am more than happy to do this, but wanted to be sure both visuals and audio will work correctly before signing up as I'm trying to connect to an edit suite (from home due to the current covid-19 situation) but with minimal budget to do so.

Thank you in advance for any advice anyone can offer.

 

1 Reply
Highlighted
Posted by Moderator Moderator
Moderator

Re: Teamviewer 13 Mac WILL NOT CONNECT

Hello @Hindle248

Thank you for your message. 🙌

Yes, you are right. You need to buy a license to use older versions.

You will find all the information you need in our Knowledge Base article here: Enjoy using the best version of TeamViewer we made so far! - How to proceed? 

Best,

Jean

French Community Moderator
Did my reply answer your question ? Accept it as a solution to help others.
Find this helpful ? Say thanks by clicking on the Thumbs Up button.